org.apache.ignite.internal.processors.cache

## Interface CacheObjectValueContext

All Known Implementing Classes:
  CacheObjectContext, CacheQueryObjectValueContext

    public interface CacheObjectValueContext

Context to get value of cache object.

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `addDeploymentInfo()`
`boolean` `binaryEnabled()`
`boolean` `copyOnGet()`
`GridKernalContext` `kernalContext()`
`boolean` `storeValue()`

### Method Detail

#### kernalContext

    GridKernalContext kernalContext()

Returns:
  Kernal context.

#### copyOnGet

    boolean copyOnGet()

Returns:
  Copy on get flag.

#### storeValue

    boolean storeValue()

Returns:
  `True` if should store unmarshalled value in cache.

#### addDeploymentInfo

    boolean addDeploymentInfo()

Returns:
  `True` if deployment info should be associated with the objects of this cache.

#### binaryEnabled

    boolean binaryEnabled()

Returns:
  Binary enabled flag.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.10.0
Release Date | : March 10 2021